#!/bin/gawk
#
# APPR - Automated Profiling and Performance Regression - is an
# extensible performance profiling framework for OpenOffice.org.
# 
# Copyright (C) 2005 Intel Corporation
# 
# GNU Lesser General Public License Version 2.1
# ======================================================================
# 
# This library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation; either version 2.1 of the
# License, or (at your option) any later version.
# 
# This library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
# 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301
# USA
# 
# ======================================================================

# get following variables from command line
# event
# number
# output

BEGIN {
	valid = 0;
	line = 0;
}

$0 ~ event {
	valid = 1;
	next;
}

{
	if (valid != 0) {
		if (line++ < number) {
			name[line] = $1;
			metric[line] = $3;
		}
		metric[0] += $3;
	}
	next;
}

END {
	if (metric[0] == 0) {
		exit;
	}

	for (i = 1; i <= number; i++) {
		if (name[i] == "") {
			break;
		}
		printf("%.2f%%\t%04d\t%s\n", metric[i]/metric[0]*100, metric[i], name[i]) >> output;
		print name[i];
	}
}

