/*
 * APPR - Automated Profiling and Performance Regression - is an
 * extensible performance profiling framework for OpenOffice.org.
 * 
 * Copyright (C) 2005 Intel Corporation
 * 
 * GNU Lesser General Public License Version 2.1
 * ======================================================================
 * 
 * This library is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of the
 * License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301
 * USA
 * 
 * ======================================================================
 * 
 * Interface definition for APPR hook
 *
 */

#ifndef __APPR_HOOK_INTERFACE_INCLUDE__
#define __APPR_HOOK_INTERFACE_INCLUDE__

#include <stdarg.h>

enum {
	APPR_HOOK_PHASESTART = 0,
	APPR_HOOK_PHASESTOP,
	APPR_HOOK_PHASESTARTSTOP,
	APPR_HOOK_PHASENCARE,
	APPR_HOOK_TYPE_NUMBERS
};

#ifdef __cplusplus
extern "C" {
#endif // __cplusplus

	int appr_hook_agent(unsigned int type, const char *msg, ...);
	int appr_hook_close();

#ifdef __cplusplus
}
#endif // __cplusplus

#endif // __APPR_HOOK_INTERFACE_INCLUDE__

